> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt. # Get a contact GET https://api.synthflow.ai/v2/contacts/{contact_id} Reference: https://docs.synthflow.ai/api-reference/platform-api/contacts/get-a-contact ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.synthflow.ai/v2` (Global, default) - `https://api.us.synthflow.ai/v2` (United States) - `https://api.eu.synthflow.ai/v2` (European Union) ## Request ### Path parameters - `contact_id` (string, required) ## Response ### 200 200 - `status` (string, optional) - `response` (ContactsContactIdGetResponsesContentApplicationJsonSchemaResponse, optional) ## Types ### ContactsContactIdGetResponsesContentApplicationJsonSchemaResponse - `id` (string, optional) - `name` (string, optional) - `phone_number` (string, optional) - `email` (string, optional) - `contact_metadata` (ContactsContactIdGetResponsesContentApplicationJsonSchemaResponseContactMetadata, optional) - `workspace_id` (string, optional) - `created_at` (string, optional) - `updated_at` (string, optional) - `memory_store_ids` (list of any, optional) ### ContactsContactIdGetResponsesContentApplicationJsonSchemaResponseContactMetadata - `company` (string, optional) ## Examples **Response** ```json { "status": "ok", "response": { "id": "6e23e60b-2d7f-4d32-9746-376380dfafcf", "name": "test2", "phone_number": "+123456789", "email": "test@synthflow.ai", "contact_metadata": { "company": "abc" }, "workspace_id": "abc", "created_at": {}, "updated_at": {}, "memory_store_ids": [ "string" ] } } ``` **SDK Code** ```python import requests url = "https://api.synthflow.ai/v2/contacts/contact_id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.synthflow.ai/v2/contacts/contact_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.synthflow.ai/v2/contacts/contact_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.synthflow.ai/v2/contacts/contact_id") .header("Authorization", "Bearer ") .asString(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.synthflow.ai/v2/contacts/contact_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/contacts/contact_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```